﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace HttpClientExampleWithHttpClientInterception.Controllers
{
    [Produces("application/json")]
    [Route("v1/Numbers")]
    public class NumbersController : Controller
    {
        public async Task<IActionResult> Get()
        {
            await Task.Delay(100); // Simulate some heavy processing

            int[] numbers = new[] { 1, 2, 3, 4, 5 };
            return Ok(numbers);
        }
    }
}